@echo off

rem CHECKWIN.BAT

rem Copyright (c) 1993 Sierra On-Line, Inc.  All rights Reserved
rem  See documentation in DEMO.BAT file for more information.

set xxw=c:\windows
if exist c:\sierra\democd\setwin.bat call c:\sierra\democd\setwin.bat
mode co80

:CheckWin
if not exist %xxw%\system\krnl286.exe goto NoWin
if not exist %xxw%\system\krnl386.exe goto NoWin
if not exist %xxw%\system\user.exe goto NoWin
if not exist %xxw%\system\gdi.exe goto NoWin
goto Done

:NoWin
if exist c:\sierra\democd\setwin.bat call c:\sierra\democd\setwin.bat
echo ÿ
echo ÿ
echo ÿ
echo Microsoft Windows is required to run this demo.
echo Windows was not detected in the directory %xxw%.
echo ÿ
what s "Enter the drive and directory where Windows is installed: "
set xxw=%what%
if "%xxw%"=="" goto Done
echo @set xxw=%what%>c:\sierra\democd\setwin.bat
goto CheckWin

:Done
